// soap12testhdrrpc.idl : IDL source for soap12testhdrrpc
//

// This file will be processed by the MIDL tool to
// produce the type library (soap12testhdrrpc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(AAB474D2-B183-4F3B-9B5A-CF0A7FED2751),
	dual,
	nonextensible,
	helpstring("Isoap12testhdrrpc Interface"),
	pointer_default(unique)
]
interface Isoap12testhdrrpc : IDispatch{
	[id(1), helpstring("method OnProcessHeader")] HRESULT OnProcessHeader([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method OnTestMUHeaderBlock")] HRESULT OnTestMUHeaderBlock([in] BSTR bstrNamespace, [in] BSTR bstrLocalName, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(DC297305-E1AF-4299-892A-BE6F82D8CBBB),
	version(1.0),
	helpstring("soap12testhdrrpc 1.0 Type Library")
]
library soap12testhdrrpcLib
{
	importlib("stdole2.tlb");
	[
		uuid(5C859174-0557-41BF-95BF-6E5C69AC8357),
		helpstring("soap12testhdrrpc Class")
	]
	coclass soap12testhdrrpc
	{
		[default] interface Isoap12testhdrrpc;
	};
};
